diff options
author | Nicolas Vigier <boklm@mageia.org> | 2011-03-23 21:39:44 +0000 |
---|---|---|
committer | Nicolas Vigier <boklm@mageia.org> | 2011-03-23 21:39:44 +0000 |
commit | 3d6c03e4eaff6499df980de154ba220f0312a899 (patch) | |
tree | 4f617f7ce812b8d4c16d15d32580849297f8a5ed | |
parent | 40408afc624ed6bfe7e21dce6f4fcfdf0b75a669 (diff) | |
download | rpm-setup-3d6c03e4eaff6499df980de154ba220f0312a899.tar rpm-setup-3d6c03e4eaff6499df980de154ba220f0312a899.tar.gz rpm-setup-3d6c03e4eaff6499df980de154ba220f0312a899.tar.bz2 rpm-setup-3d6c03e4eaff6499df980de154ba220f0312a899.tar.xz rpm-setup-3d6c03e4eaff6499df980de154ba220f0312a899.zip |
check if the list of .pc files is not null before running pkg-config on it
-rwxr-xr-x | pkgconfigdeps.sh | 34 |
1 files changed, 20 insertions, 14 deletions
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh index e7dba2c..74fcdd9 100755 --- a/pkgconfigdeps.sh +++ b/pkgconfigdeps.sh @@ -22,15 +22,18 @@ case $1 in ;; esac done - # Query the dependencies of the package. - PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-provides $pcfiles | while read n r v ; do - # We have a dependency. Make a note that we need the pkgconfig - # tool for this package. - test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1 - echo "pkgconfig($n)" "$r" "$v" - done - test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1 - # The dependency on the pkgconfig package itself. + if [ -n "$pcfile" ] + then + # Query the dependencies of the package. + PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-provides $pcfiles | while read n r v ; do + # We have a dependency. Make a note that we need the pkgconfig + # tool for this package. + test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1 + echo "pkgconfig($n)" "$r" "$v" + done + test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1 + # The dependency on the pkgconfig package itself. + fi ;; -R|--requires) while read filename ; do @@ -40,11 +43,14 @@ case $1 in PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$(dirname ${filename}) esac done - PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-requires ${pcfiles} | while read n r v ; do - test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1 - echo "pkgconfig($n)" "$r" "$v" - done - test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1 + if [ -n "$pcfile" ] + then + PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-errors --print-requires ${pcfiles} | while read n r v ; do + test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1 + echo "pkgconfig($n)" "$r" "$v" + done + test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1 + fi ;; esac exit 0 |